﻿using FarPoint.Web.Spread;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SpreadIntro
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //FpSpread1.ExportExcel += new FarPoint.Web.Spread.SaveExcelEventHandler(SaveExcelHandler);

            if (!Page.IsPostBack)
            {
                string fileName = MapPath(@"SpreadSheet\TemplateMultipleBasic.xls");
                OpenExcelFile(fileName);
                FpSpread1.Sheets[0].AllowPage = false;
                FpSpread1.Sheets[0].RowCount = 136;
                FpSpread1.Sheets[0].ColumnCount = 36;

                FpSpread1.Sheets[1].AllowPage = false;
                FpSpread1.Sheets[1].RowCount = 215;
                FpSpread1.Sheets[1].ColumnCount = 12;
                FpSpread1.ClientAutoSize = true;

                FpSpread1.ClientAutoCalculation = true;
                FpSpread1.EnableClientScript = true;
                FpSpread1.AllowLoadOnDemand = true;

                FpSpread1.CommandBar.Visible = false;
                FpSpread1.CommandBarOnBottom = false;

                FpSpread1.ColumnHeader.Visible = false;
                FpSpread1.RowHeader.Visible = false;

                FpSpread1.ShowFocusRectangle = true;
                FpSpread1.FocusRectangleBorderColor = Color.Black;
                FpSpread1.FocusRectangleBorderStyle = FocusBorderStyle.Solid;

                FpSpread1.EnableCrossSheetReference = true;
                FpSpread1.EnableAjaxCall = true;

                FpSpread1.EditModePermanent = false;
                FpSpread1.EditModeReplace = true;

                //FpSpread1.Sheets[0].PageSize = 20;
                //FpSpread1.Sheets[0].AllowPage = false;
                //FpSpread1.Sheets[1].PageSize = 20;
                //FpSpread1.Sheets[1].AllowPage = false;
                //foreach (FarPoint.Web.Spread.SheetView sheet in FpSpread1.Sheets)
                //    FarPoint.Web.Spread.DefaultSkins.Office2016White.Apply(sheet);
            }
        }
        public void OpenExcelFile(string filename)
        {
            //Open
            try
            {
                FpSpread1.OpenExcel(filename);
                //FarPoint.Web.Spread.DefaultSkins.Office2016White.Apply(FpSpread1);
            }
            catch (Exception ex)
            {
            }
        }


      
    }
}