﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using FarPoint.Web.Spread;
using FarPoint.Web.Spread.Model;


namespace SpreadIntro
{
    public partial class SpreadProjection : System.Web.UI.Page
    {
        FarPoint.Web.Spread.SheetView sv = new FarPoint.Web.Spread.SheetView();
        FarPoint.Web.Spread.SheetView sm = new FarPoint.Web.Spread.SheetView();
        FarPoint.Web.Spread.SheetView sv2 = new FarPoint.Web.Spread.SheetView();
        FarPoint.Web.Spread.SheetView sm2 = new FarPoint.Web.Spread.SheetView();
        // Geral



        int rowButton = 3;

        int rowResultado = 3;
        int rowSazonalidade = 4;
        int rowSalesGrowth = 5;
        int rowEbitdaGrowth = 6;
        int rowPayOut = 7;
        int rowNetDebt = 8;

        int rowSep1 = 9;

        int rowNetSales = 10;
        int rowEbitda = 11;
        int rowMgEbitda = 12;
        int rowNetIncome = 13;
        int rowNetMg = 14;

        int rowSeparadorComments = 15;
        int rowComentario = 16;

        int rowHeaderHistorico = 17;
        int rowNetSalesH = 18;
        int rowEbitdaH = 19;
        int rowMgEbitdaH = 20;
        int rowNetIncomeH = 21;
        int rowNetMgH = 22;
        int rowNetDebtH = 23;

        int rowHeaderConsensus = 24;
        int rowNetSalesC = 25;
        int rowEbitdaC = 26;
        int rowMgEbitdaC = 27;
        int rowNetIncomeC = 28;
        int rowNetMgC = 29;
        int rowNetDebtC = 30;
                     
        int colQuarter = 20; //Y2019
        int colLast = 35;
        int colFirst = 2;
        int colFistYear = 11;
        int rowSellSide = 21; // linha do header do primeiro sell side de 26 (no template)
               
        private bool Carregando = true;

        int companyId;
        string companyShort;

        string currencyCode;
        int currencyId;

        string currencyConvertCode;
        int currencyConvertId;

        int currentYear;
        int currentQuarter;

        bool isMainCurrency;


        FarPoint.Web.Spread.PercentCellType percCell = new FarPoint.Web.Spread.PercentCellType();
        FarPoint.Web.Spread.ButtonCellType btCell = new FarPoint.Web.Spread.ButtonCellType();
        FarPoint.Web.Spread.CheckBoxCellType checkCell = new FarPoint.Web.Spread.CheckBoxCellType();
        FarPoint.Web.Spread.DoubleCellType numCell = new FarPoint.Web.Spread.DoubleCellType();
        FarPoint.Web.Spread.TextCellType txCell = new FarPoint.Web.Spread.TextCellType();

        

        protected void Page_Load(object sender, EventArgs e)
        {

            if (this.IsPostBack) return;
            
            #region parameters



            companyId = Request.Params["companyId"] == null ? 483: Convert.ToUInt16(Request.Params["companyId"]);
            companyShort = Request.Params["companyName"] == null ? "Petrobras" : Request.Params["companyName"];
            currencyCode = Request.Params["currencyCode"] == null ? "BRL" : Request.Params["currencyCode"];
            currencyId = Request.Params["currencyId"] == null ? 1 : Convert.ToUInt16(Request.Params["currencyId"]);

            currentYear = Request.Params["currentYear"] == null ? 2019 :Convert.ToUInt16(Request.Params["currentYear"]);
            currentQuarter = Request.Params["currentQuarter"] == null ? 1 : Convert.ToUInt16(Request.Params["currentQuarter"]);

            currencyConvertId = Request.Params["currencyConvertId"] == null ? 1 : Convert.ToUInt16(Request.Params["currencyConvertId"]);
            currencyConvertCode = Request.Params["currencyConvertCode"] == null ? "USD" : Request.Params["currencyConvertCode"];
            isMainCurrency = Request.Params["isMainCurrency"] == null ? true : Convert.ToBoolean(Request.Params["isMainCurrency"]);


            #endregion parameters

            #region design

            sr1.Width = Unit.Percentage(100);
            sr1.Height = Unit.Percentage(100);

            sr1.Sheets.Count = 2;

            sr1.Sheets[0].AllowPage = false;
            sr1.Sheets[0].RowCount = 136;
            sr1.Sheets[0].ColumnCount = 36;

            sr1.Sheets[1].AllowPage = false;
            sr1.Sheets[1].RowCount = 215;
            sr1.Sheets[1].ColumnCount = 12;

            sr1.ClientAutoSize = true;

            sr1.ClientAutoCalculation = true;
            sr1.EnableClientScript = true;
            sr1.AllowLoadOnDemand = true;

            sr1.CommandBar.Visible = false;
            sr1.CommandBarOnBottom = false;

            sr1.ColumnHeader.Visible = false;
            sr1.RowHeader.Visible = false;

            sr1.ShowFocusRectangle = true;
            sr1.FocusRectangleBorderColor = Color.Black;
            sr1.FocusRectangleBorderStyle = FocusBorderStyle.Solid;

            sr1.EnableCrossSheetReference = true;
            sr1.EnableAjaxCall = true;

            sr1.EditModePermanent = false;
            sr1.EditModeReplace = true;
            ////sr1.SetProtect(false, "");

            //sr1.Visible = true;


            //string dirTempCP = System.Configuration.ConfigurationManager.AppSettings["SpreadTemplateFolder"].ToString();
            //sr1.Open(dirTempCP + "TemplateMultipleBasic.xls");

            sv = sr1.Sheets[0];
            sm = sr1.Sheets[1];
            //sv2 = sr1.Sheets[2];
            //sm2 = sr1.Sheets[3];

            sv.AllowPage = false;
            sm.AllowPage = false;
            //sv2.AllowPage = false;
            //sm2.AllowPage = false;

            //sv.AllowLoadOnDemand = true;
            //sv.LoadInitRowCount = 100;
            //sv.LoadRowIncrement = 20;
            //sv.IsTrackingViewState = true;
            //sv.AutoPostBack = true;

            //sm.AllowLoadOnDemand = true;
            //sm.LoadInitRowCount = 30;
            //sm.LoadRowIncrement = 10;
            //sm.AutoPostBack = true;


            sv.TitleInfo.Text = companyShort + " " + this.currencyCode;
            sm.TitleInfo.Text = companyShort + " " + this.currencyCode;
            //sv2.TitleInfo.Text = companyShort + " " + this.currencyConvertCode;
            //sm2.TitleInfo.Text = companyShort + " " + this.currencyConvertCode;

            sv.SheetName = "Projection" + " " + this.currencyCode;
            sm.SheetName = "Multiples" + " " + this.currencyCode;
            //sv2.SheetName = "Projection" + " " + this.currencyConvertCode;
            //sm2.SheetName = "Multiples" + " " + this.currencyConvertCode;

            //sr1.Tab.TabControlPolicy = FarPoint.Web.Spread.TabControlPolicy.Always;
            //if (currencyConvertId > 0)
            //{
            //    sr1.Tab.VisibleCount = 4;
            //}
            //else
            //{
            //    sr1.Tab.VisibleCount = 2;
            //    sr1.Sheets.Remove(sv2);
            //    sr1.Sheets.Remove(sm2);

            //}

            sr1.Tab.ScrollIncrement = 1;
            sr1.Tab.FirstVisibleTab = 1;
            sr1.Tab.TextColor = Color.Black;
            sr1.Tab.ActiveTabBackColor = Color.LightSteelBlue;

            //sr1.Sheets[0].FrozenColumnCount = 2;
            //sr1.Sheets[0].FrozenRowCount = 37;

            //sr1.Sheets[1].FrozenColumnCount = 1;

            sv.OperationMode = FarPoint.Web.Spread.OperationMode.Normal;
            sm.OperationMode = FarPoint.Web.Spread.OperationMode.Normal;
            //sv2.OperationMode = FarPoint.Web.Spread.OperationMode.Normal;
            //sm2.OperationMode = FarPoint.Web.Spread.OperationMode.Normal;

            sv.AllowUserFormulas = true;
            sv.ReferenceStyle = FarPoint.Web.Spread.Model.ReferenceStyle.R1C1;

            sm.AllowUserFormulas = true;
            sm.ReferenceStyle = FarPoint.Web.Spread.Model.ReferenceStyle.R1C1;

            sv2.AllowUserFormulas = true;
            sv2.ReferenceStyle = FarPoint.Web.Spread.Model.ReferenceStyle.R1C1;

            sm2.AllowUserFormulas = true;
            sm2.ReferenceStyle = FarPoint.Web.Spread.Model.ReferenceStyle.R1C1;


            btCell.Text = "+";
            btCell.CommandName = "Colapse";
            //btCell.OnClientClick = "alert(\'You clicked the cell\');";

            txCell.Multiline = false;



            numCell.DecimalDigits = 1;

            numCell.FixedPoint = true;
            numCell.NegativeRed = true;


            percCell.DecimalDigits = 2;
            //percCell.FixedPoint = true;
            percCell.NegativeRed = true;

            sv.Cells[rowResultado, colFirst, rowResultado, colLast].CellType = checkCell;
            sv.Cells[rowResultado, colFirst, rowResultado, colLast].HorizontalAlign = HorizontalAlign.Center;

            sv.Cells[rowSazonalidade, colFirst, rowPayOut, colLast].CellType = percCell;
            sv.Cells[rowMgEbitda, colFirst, rowMgEbitda, colLast].CellType = percCell;
            sv.Cells[rowNetMg, colFirst, rowNetMg, colLast].CellType = percCell;

            sv.Cells[rowNetDebt, colFirst, rowNetDebt, colLast].CellType = numCell;
            sv.Cells[rowNetSales, colFirst, rowEbitda, colLast].CellType = numCell;
            sv.Cells[rowNetIncome, colFirst, rowNetIncome, colLast].CellType = numCell;

            sv.Cells[rowNetSalesH, colFirst, rowEbitdaH, colLast].CellType = numCell;
            sv.Cells[rowMgEbitdaH, colFirst, rowMgEbitdaH, colLast].CellType = percCell;
            sv.Cells[rowNetIncomeH, colFirst, rowNetIncomeH, colLast].CellType = numCell;
            sv.Cells[rowNetMgH, colFirst, rowNetMgH, colLast].CellType = percCell;
            sv.Cells[rowNetDebtH, colFirst, rowNetDebtH, colLast].CellType = numCell;

            sv.Cells[rowNetSalesC, colFirst, rowEbitdaC, colLast].CellType = numCell;
            sv.Cells[rowMgEbitdaC, colFirst, rowMgEbitdaC, colLast].CellType = percCell;
            sv.Cells[rowNetIncomeC, colFirst, rowNetIncomeC, colLast].CellType = numCell;
            sv.Cells[rowNetMgC, colFirst, rowNetMgC, colLast].CellType = percCell;
            sv.Cells[rowNetDebtC, colFirst, rowNetDebtC, colLast].CellType = numCell;


            for (int i = colFistYear; i <= colLast - 1; i = i + 5)
            {
                sv.Cells[rowButton, i].CellType = btCell;

            }

            

            //for (int i = colFistYear; i < colQuarter; i = i + 5)
            //{

            //    sv.Columns[i - 4].Visible = false;
            //    sv.Columns[i - 3].Visible = false;
            //    sv.Columns[i - 2].Visible = false;
            //    sv.Columns[i - 1].Visible = false;

            //}

            #endregion design


            CarregaDados();

            // CarregaSellSides();

            #region Formulas

            //Sazonalidade
            for (int i = colQuarter; i <= colQuarter + 10; i = i + 5)
            {
                sv.SetFormula(rowSazonalidade, i - 1, "1 - (SUM(RC[-3]:RC[-1]))");
                sv.Cells[rowSazonalidade, i - 1].CanFocus = false;

                sv.SetFormula(rowSazonalidade, i, "SUM(RC[-4]:RC[-1])");
                sv.Cells[rowSazonalidade, i].CanFocus = false;

            }

            //Sales Growth // Net Sales

            for (int i = colQuarter; i <= colQuarter + 10; i = i + 5)
            {
                //Sales Growth (Year)
                sv.Cells[rowNetSales, i].Formula = "IF(RC[-5]<>0,IF(R[-5]C<>0,RC[-5]+RC[-5]*R[-5]C,0),0)";
                sv.Cells[rowNetSales, i].CanFocus = false;

                //Net Sales
                sv.Cells[rowNetSales, i - 1].Formula = "R[-6]C* RC[1]";
                sv.Cells[rowNetSales, i - 2].Formula = "R[-6]C* RC[2]";
                sv.Cells[rowNetSales, i - 3].Formula = "R[-6]C* RC[3]";
                sv.Cells[rowNetSales, i - 4].Formula = "R[-6]C* RC[4]";

                sv.Cells[rowNetSales, i - 1].CanFocus = false;
                sv.Cells[rowNetSales, i - 2].CanFocus = false;
                sv.Cells[rowNetSales, i - 3].CanFocus = false;
                sv.Cells[rowNetSales, i - 4].CanFocus = false;

                //Sales Growth Quarter
                sv.Cells[rowSalesGrowth, i - 1].Formula = "(R[5]C / R[5]C[-5])-1";
                sv.Cells[rowSalesGrowth, i - 2].Formula = "(R[5]C / R[5]C[-5])-1";
                sv.Cells[rowSalesGrowth, i - 3].Formula = "(R[5]C / R[5]C[-5])-1";
                sv.Cells[rowSalesGrowth, i - 4].Formula = "(R[5]C / R[5]C[-5])-1";

                sv.Cells[rowSalesGrowth, i - 1].CanFocus = false;
                sv.Cells[rowSalesGrowth, i - 2].CanFocus = false;
                sv.Cells[rowSalesGrowth, i - 3].CanFocus = false;
                sv.Cells[rowSalesGrowth, i - 4].CanFocus = false;

                //Ebitda
                sv.Cells[rowEbitda, i - 1].Formula = "R[-1]C* R[1]C";
                sv.Cells[rowEbitda, i - 2].Formula = "R[-1]C* R[1]C";
                sv.Cells[rowEbitda, i - 3].Formula = "R[-1]C* R[1]C";
                sv.Cells[rowEbitda, i - 4].Formula = "R[-1]C* R[1]C";

                sv.Cells[rowEbitda, i - 1].CanFocus = false;
                sv.Cells[rowEbitda, i - 2].CanFocus = false;
                sv.Cells[rowEbitda, i - 3].CanFocus = false;
                sv.Cells[rowEbitda, i - 4].CanFocus = false;

                //Ebitda Year               
                sv.Cells[rowEbitda, i].Formula = "SUM(RC[-4]:RC[-1])";
                sv.Cells[rowEbitda, i].CanFocus = false;

                //Ebitda Growth Quarter
                sv.Cells[rowEbitdaGrowth, i - 1].Formula = "(R[4]C / R[4]C[-5])-1";
                sv.Cells[rowEbitdaGrowth, i - 2].Formula = "(R[4]C / R[4]C[-5])-1";
                sv.Cells[rowEbitdaGrowth, i - 3].Formula = "(R[4]C / R[4]C[-5])-1";
                sv.Cells[rowEbitdaGrowth, i - 4].Formula = "(R[4]C / R[4]C[-5])-1";

                sv.Cells[rowEbitdaGrowth, i - 1].CanFocus = false;
                sv.Cells[rowEbitdaGrowth, i - 2].CanFocus = false;
                sv.Cells[rowEbitdaGrowth, i - 3].CanFocus = false;
                sv.Cells[rowEbitdaGrowth, i - 4].CanFocus = false;

                //Ebitda Growth Year
                sv.Cells[rowEbitdaGrowth, i].Formula = "(R[5]C / R[5]C[-5])-1";
                sv.Cells[rowEbitdaGrowth, i].CanFocus = false;
                sv.Cells[rowEbitdaGrowth, i].CellType = percCell;

                //Mg.Ebitda Year
                sv.Cells[rowMgEbitda, i].Formula = "(R[-1]C/R[-2]C)";
                sv.Cells[rowMgEbitda, i].CanFocus = false;
                sv.Cells[rowMgEbitda, i].CellType = percCell;

                //Net Income
                sv.Cells[rowNetIncome, i - 1].Formula = "R[-3]C * R[1]C";
                sv.Cells[rowNetIncome, i - 2].Formula = "R[-3]C* R[1]C";
                sv.Cells[rowNetIncome, i - 3].Formula = "R[-3]C* R[1]C";
                sv.Cells[rowNetIncome, i - 4].Formula = "R[-3]C* R[1]C";

                sv.Cells[rowNetIncome, i - 1].CanFocus = false;
                sv.Cells[rowNetIncome, i - 2].CanFocus = false;
                sv.Cells[rowNetIncome, i - 3].CanFocus = false;
                sv.Cells[rowNetIncome, i - 4].CanFocus = false;

                //Net Income Year               
                sv.Cells[rowNetIncome, i].Formula = "SUM(RC[-4]:RC[-1])";
                sv.Cells[rowNetIncome, i].CanFocus = false;

                ////Mg.Margem Year
                sv.Cells[rowNetMg, i].Formula = "(R[-1]C/R[-4]C)";
                sv.Cells[rowNetMg, i].CanFocus = false;
                sv.Cells[rowNetMg, i].CellType = percCell;

                //Dividend PayOut Quarters
                sv.Cells[rowPayOut, i - 1].CanFocus = false;
                sv.Cells[rowPayOut, i - 2].CanFocus = false;
                sv.Cells[rowPayOut, i - 3].CanFocus = false;
                sv.Cells[rowPayOut, i - 4].CanFocus = false;

                //Net Debt
                sv.Cells[rowNetDebt, i].Formula = "RC[-1]";
                sv.Cells[rowNetDebt, i].CanFocus = false;


            }

            for (int i = colQuarter + 11; i <= colLast - 1; i++)
            {
                //Net Sales
                sv.Cells[rowNetSales, i].Formula = "RC[-1]+RC[-1]*R[-5]C";
                //sv.Cells[rowNetSales, i].CanFocus = false;


                ////Ebitda Year               
                //sv.Cells[rowEbitda, i].Formula = "SUM(RC[-4]:RC[-1])";
                //sv.Cells[rowEbitda, i].CanFocus = false;

                ////Ebitda Growth Quarter
                //sv.Cells[rowEbitdaGrowth, i - 1].Formula = "(R[4]C / R[4]C[-5])-1";
                //sv.Cells[rowEbitdaGrowth, i - 2].Formula = "(R[4]C / R[4]C[-5])-1";
                //sv.Cells[rowEbitdaGrowth, i - 3].Formula = "(R[4]C / R[4]C[-5])-1";
                //sv.Cells[rowEbitdaGrowth, i - 4].Formula = "(R[4]C / R[4]C[-5])-1";

                //sv.Cells[rowEbitdaGrowth, i - 1].CanFocus = false;
                //sv.Cells[rowEbitdaGrowth, i - 2].CanFocus = false;
                //sv.Cells[rowEbitdaGrowth, i - 3].CanFocus = false;
                //sv.Cells[rowEbitdaGrowth, i - 4].CanFocus = false;

                ////Ebitda Growth Year
                //sv.Cells[rowEbitdaGrowth, i].Formula = "(R[5]C / R[5]C[-5])-1";
                //sv.Cells[rowEbitdaGrowth, i].CanFocus = false;
                //sv.Cells[rowEbitdaGrowth, i].CellType = percCell;

                ////Mg.Ebitda Year
                //sv.Cells[rowMgEbitda, i].Formula = "(R[-1]C/R[-2]C)";
                //sv.Cells[rowMgEbitda, i].CanFocus = false;
                //sv.Cells[rowMgEbitda, i].CellType = percCell;

                ////Net Income
                //sv.Cells[rowNetIncome, i - 1].Formula = "R[-3]C * R[1]C";
                //sv.Cells[rowNetIncome, i - 2].Formula = "R[-3]C* R[1]C";
                //sv.Cells[rowNetIncome, i - 3].Formula = "R[-3]C* R[1]C";
                //sv.Cells[rowNetIncome, i - 4].Formula = "R[-3]C* R[1]C";

                //sv.Cells[rowNetIncome, i - 1].CanFocus = false;
                //sv.Cells[rowNetIncome, i - 2].CanFocus = false;
                //sv.Cells[rowNetIncome, i - 3].CanFocus = false;
                //sv.Cells[rowNetIncome, i - 4].CanFocus = false;

                ////Net Income Year               
                //sv.Cells[rowNetIncome, i].Formula = "SUM(RC[-4]:RC[-1])";
                //sv.Cells[rowNetIncome, i].CanFocus = false;

                //////Mg.Margem Year
                //sv.Cells[rowNetMg, i].Formula = "(R[-1]C/R[-4]C)";
                //sv.Cells[rowNetMg, i].CanFocus = false;
                //sv.Cells[rowNetMg, i].CellType = percCell;

                ////Dividend PayOut Quarters
                //sv.Cells[rowPayOut, i - 1].CanFocus = false;
                //sv.Cells[rowPayOut, i - 2].CanFocus = false;
                //sv.Cells[rowPayOut, i - 3].CanFocus = false;
                //sv.Cells[rowPayOut, i - 4].CanFocus = false;

                ////Net Debt
                //sv.Cells[rowNetDebt, i].Formula = "RC[-1]";
                //sv.Cells[rowNetDebt, i].CanFocus = false;


            }


            //Net Sales




            #endregion Formulas



            //for (int i = 2; i <= colLast - 1; i++)
            //{
            //    sv.Columns[i].Width = 85;

            //}




        }

        protected void sr1_ButtonCommand(object sender, FarPoint.Web.Spread.SpreadCommandEventArgs e)
        {
            sv.Columns[e.SheetView.ActiveColumn - 4].Visible = !sv.Columns[e.SheetView.ActiveColumn - 4].Visible;
            sv.Columns[e.SheetView.ActiveColumn - 3].Visible = !sv.Columns[e.SheetView.ActiveColumn - 3].Visible;
            sv.Columns[e.SheetView.ActiveColumn - 2].Visible = !sv.Columns[e.SheetView.ActiveColumn - 2].Visible;
            sv.Columns[e.SheetView.ActiveColumn - 1].Visible = !sv.Columns[e.SheetView.ActiveColumn - 1].Visible;
        }

        private void CarregaDados()
        {
            //Carregando = true;

            int yearBase = currentYear - 6;
            int year;
            int houseId = 0;

            int coluna = colFirst;

            for (int y = 0; y <= 14; y++)
            {
                year = yearBase + y;

                bool yearClosed = false;
                bool quarterClosed = false;

                for (int q = 1; q <= 5; q++)
                {
                    if( year < (currentYear - 2) || year > (currentYear + 2))
                    {
                        q = 5;

                    }
                    
                    ////Le Dados Projecoes
                    //boProjections b = new boProjections();
                    //b.GetProjections(companyId, year, q, 0, 0, currencyId);

                    //if (b.CurrentDataTable.Rows.Count > 0)
                    //{
                    //    foreach (boProjections item in b.GetEnumerable())
                    //    {

                    //        if (year < currentYear && item.Quarter < 5)
                    //        {
                    //            //sv.Columns[coluna].Visible = false;

                    //        }

                    //        if (coluna == colFirst)
                    //        {
                    //            //lbLastUpdate.Text = "Last Update / User: " + b.LastUpdate + " / " + b.UserUpdate;

                    //            //sr1.Rows[linhaQuarterClosed].Cells[cl] = new DataGridViewCheckBoxCell();
                    //            //sr1.Rows[linhaQuarterClosed].Cells[cl].Style = checkBoxStyle;
                    //        }


                    //        decimal cambio = 1;

                    //        //if (!isMainCurrency)
                    //        //{
                    //        //    if (eopValues.TryGetValue(year, out decimal result))
                    //        //    {
                    //        //        cambio = result;
                    //        //    }

                    //        //}

                    //        sv.Cells[rowSazonalidade, coluna].Value = item.Sazonality;
                    //        sv.Cells[rowSalesGrowth, coluna].Value = item.SalesGrowth;
                    //        sv.Cells[rowEbitdaGrowth, coluna].Value = item.EbitdaGrowth;
                    //        sv.Cells[rowSazonalidade, coluna].Value = item.Sazonality;
                    //        sv.Cells[rowPayOut, coluna].Value = item.DivPayoutRatio;
                    //        sv.Cells[rowNetDebt, coluna].Value = item.NetDebt;

                    //        sv.Cells[rowNetSales, coluna].Value = item.NetSales;
                    //        sv.Cells[rowEbitda, coluna].Value = item.Ebitda;
                    //        sv.Cells[rowMgEbitda, coluna].Value = item.MgEbitda;
                    //        sv.Cells[rowNetIncome, coluna].Value = item.NetIncome;
                    //        sv.Cells[rowNetMg, coluna].Value = item.NetMg;

                    //        //sv.Cells[rowComentario, coluna].Value = item.Comments;

                    //    }
                    //}

                    ////Carrega Histórico ---------------------------------------------------------------------

                    //b.GetProjectionsHistoric(companyId, year, q, 0, 0, currencyId);

                    //if (b.CurrentDataTable.Rows.Count > 0)
                    //{
                    //    foreach (boProjections item in b.GetEnumerable())
                    //    {  

                    //        if (coluna == colFirst)
                    //        {
                    //            //lbLastUpdate.Text = "Last Update / User: " + b.LastUpdate + " / " + b.UserUpdate;

                    //            //sr1.Rows[linhaQuarterClosed].Cells[cl] = new DataGridViewCheckBoxCell();
                    //            //sr1.Rows[linhaQuarterClosed].Cells[cl].Style = checkBoxStyle;
                    //        }

                    //        sv.Cells[rowNetSalesH, coluna].Value = item.NetSales;
                    //        sv.Cells[rowEbitdaH, coluna].Value = item.Ebitda;
                    //        sv.Cells[rowMgEbitdaH, coluna].Value = item.MgEbitda;
                    //        sv.Cells[rowNetIncomeH, coluna].Value = item.NetIncome;
                    //        sv.Cells[rowNetMgH, coluna].Value = item.NetMg;
                    //        sv.Cells[rowNetDebtH, coluna].Value = item.NetDebt;




                    //    }
                    //}

                    //b.Dispose();

                    coluna++;

                }


            }
        }

      

        //private void CarregaSellSides()
        //{

        //    BO.boCompanyHouses b = new boCompanyHouses();

        //    int sellsidesCurrency = isMainCurrency ? currencyId : currencyConvertId;

        //    b.SelectedHouses(companyId, sellsidesCurrency, isMainCurrency, true);

        //    int contHouses = 0;

        //    //Copy Range
        //    CopyRange c = new CopyRange();

            
        //    int proxLinha = rowSellSide;

        //    //Esconde Área de Consensus - template

            
        //    if (b.Count > 0)
        //    {
        //        foreach (boCompanyHouses s in b.GetEnumerable())
        //        {
                    

        //            //Formatação

        //            sv.Cells[proxLinha + 1, 2, proxLinha + 2, colLast].CellType = numCell;
        //            sv.Cells[proxLinha + 3, 2, proxLinha + 3, colLast].CellType = percCell;
        //            sv.Cells[proxLinha + 4, 2, proxLinha + 4, colLast].CellType = numCell;
        //            sv.Cells[proxLinha + 5, 2, proxLinha + 6, colLast].CellType = percCell;
        //            sv.Cells[proxLinha + 6, 2, proxLinha + 6, colLast].CellType = numCell;

        //            c.Copy(rowHeaderConsensus, 0, proxLinha, 0, 7, 60);

        //            sv.Cells[proxLinha, 1].Text = b.HouseShort;

        //            //Inserir Dados do SellSide -----------------------------------------------------------------------------------

        //            int yearBase = currentYear - 6;
        //            int year;
        //            int houseId = b.HouseId;

        //            int coluna = 2;

        //            for (int y = 0; y <= 14; y++)
        //            {
        //                year = yearBase + y;

        //                for (int q = 1; q <= 5; q++)
        //                {
        //                    if (year < (currentYear - 2) || year > (currentYear + 2))
        //                    {
        //                        q = 5;

        //                    }

        //                    //Le Dados Projecoes
        //                    boProjections bs = new boProjections();
        //                    bs.GetProjections(companyId, year, q, houseId, 0, currencyId);

        //                    if (bs.CurrentDataTable.Rows.Count > 0)
        //                    {
        //                        string ano = bs.Date.Substring(0, 4);
        //                        string mes = bs.Date.Substring(4, 2);
        //                        string dia = bs.Date.Substring(6, 2);

        //                        if (coluna == colFirst)
        //                            sv.Cells[proxLinha, 0].Text = dia + "/" + mes + "/" + ano;

                               

        //                        //Dados
        //                        sv.Cells[proxLinha + 1, coluna].Value = bs.NetSales;
        //                        sv.Cells[proxLinha + 2, coluna].Value = bs.Ebitda;
        //                        sv.Cells[proxLinha + 3, coluna].Value = bs.MgEbitda;
        //                        sv.Cells[proxLinha + 4, coluna].Value = bs.NetIncome;
        //                        sv.Cells[proxLinha + 5, coluna].Value = bs.NetMg;
        //                        sv.Cells[proxLinha + 6, coluna].Value = bs.NetDebt;

        //                        for(int i = 1; i <= 6; i++)
        //                        {
        //                            sv.Cells[proxLinha + i, coluna].ForeColor = Color.Red;
        //                            sv.Cells[proxLinha + i, coluna].Font.Name = "Arial";
        //                            sv.Cells[proxLinha + i, coluna].Font.Bold = false;
        //                            sv.Cells[proxLinha + i, coluna].Font.Size = 9;
        //                        }
                                

        //                    }



        //                    b.Dispose();

        //                    coluna++;

        //                }
        //            }

        //            // ------------------------------------------------------------------------------------------------------------

                    
        //            proxLinha = proxLinha + 7;

        //        }
        //    }

        //    contHouses = b.Count;

        //    b.Dispose();

        //    sv.RowCount = proxLinha;

        //}

        protected void sr1_Load(object sender, EventArgs e)
        {
           

        }
    }




    public class CopyRange : FarPoint.Web.Spread.Model.IRangeSupport
    {
        public void AddColumns(int column, int columnCount)
        {
            throw new NotImplementedException();
        }

        public void AddRows(int row, int rowCount)
        {
            throw new NotImplementedException();
        }

        public void Clear(int row, int column, int rowCount, int columnCount)
        {
            throw new NotImplementedException();
        }

        public void Copy(int fromRow, int fromColumn, int toRow, int toColumn, int rowCount, int columnCount)
        {
            




        }

        public void Move(int fromRow, int fromColumn, int toRow, int toColumn, int rowCount, int columnCount)
        {
            throw new NotImplementedException();
        }

        public void RemoveColumns(int column, int columnCount)
        {
            throw new NotImplementedException();
        }

        public void RemoveRows(int row, int rowCount)
        {
            throw new NotImplementedException();
        }

        public void Swap(int fromRow, int fromColumn, int toRow, int toColumn, int rowCount, int columnCount)
        {
            throw new NotImplementedException();
        }
    }

}